com.independentsoft.exchange

## Class ContactsFolder

- java.lang.Object
- - com.independentsoft.exchange.Folder
  - - com.independentsoft.exchange.ContactsFolder

-     public class ContactsFolder
      extends Folder

  Represents a contacts folder that is contained in a mailbox.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactsFolder()` Initializes a new instance of the ContactsFolder class.
    `ContactsFolder(java.lang.String displayName)` Initializes a new instance of the ContactsFolder class.
    `ContactsFolder(java.lang.String displayName, java.lang.String folderClass)` Initializes a new instance of the ContactsFolder class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Converts the value of the current ContactsFolder object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Folder

      `getArchiveTag, getChildFolderCount, getComment, getCreationTime, getDisplayName, getEffectiveRights, getEntryId, getExtendedProperties, getFolderClass, getFolderId, getLastModifiedTime, getManagedFolderInformation, getParentId, getPermissionSet, getRetentionTag, getSearchKey, getSize, getStandardFolder, getTotalCount, getUnreadCount, hasSubFolders, isHidden, isReadOnly, isSystem, setComment, setDisplayName, setFolderClass, setIsHidden, setPermissionSet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactsFolder

          public ContactsFolder()

      Initializes a new instance of the ContactsFolder class.

    - #### ContactsFolder

          public ContactsFolder(java.lang.String displayName)

      Initializes a new instance of the ContactsFolder class.
      Parameters:
        `displayName` - the display name

    - #### ContactsFolder

          public ContactsFolder(java.lang.String displayName,
                                java.lang.String folderClass)

      Initializes a new instance of the ContactsFolder class.
      Parameters:
        `displayName` - the display name
        `folderClass` - the folder class

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current ContactsFolder object to its equivalent string representation.
      Overrides:
        `toString` in class `Folder`
      Returns:
        the string